/*
 * Java 1.7
 *
 * Copyright 2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.security.util;

/**
 * Generic exception thrown by {@code DER*} classes when an error of parsing occurs.
 */
@SuppressWarnings("serial")
public class DerFormatException extends Exception {

	/**
	 * Constructs an instance of this class with a Throwable.
	 *
	 * @param t
	 *            the cause. (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
	 */
	public DerFormatException(Throwable t) {
		super(t);
	}

	/**
	 * Constructs an instance of this class with a detailed message.
	 *
	 * @param message
	 *            the detail message.
	 */
	public DerFormatException(String message) {
		super(message);
	}

	/**
	 * Constructs an instance of this class with a Throwable and a detailed message.
	 *
	 * @param message
	 *            the detail message.
	 * @param t
	 *            the cause. (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
	 */
	public DerFormatException(String message, Throwable t) {
		super(message, t);
	}
}
