/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;
/**
 * Describe the capabilities of a group of buttons.
 */
public interface Buttons extends Profile {

	/**
	 * Return the number of buttons.
	 * 
	 * @return the number of buttons.
	 */
	int getNbButtons();

	/**
	 * Return the button id associated with the last event.
	 * 
	 * @return the button id between zero and {@link #getNbButtons()} - 1
	 */
	int getLastEventButtonId();

	/**
	 * Return the last event.
	 * 
	 * @return the last event.
	 */
	int getLastEventType();
}
