/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import ej.basedriver.event.Event;
import ej.basedriver.event.EventHandler;
import ej.ecom.Device;
import ej.kf.Proxy;

/**
 *
 */
public class EventControllerListenerProxy extends Proxy<ControllerListener> implements EventControllerListener {
	@Override
	public <D extends Device> void onError(Class<D> deviceType, D device) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public <D extends Device> void onEvent(Class<D> deviceType, D device) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public <D extends Device> void onRegister(Class<D> deviceType, D device) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public <D extends Device> void onUnregister(D device) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public <D extends Device, E extends Event<D>> void addEventHandler(
			String deviceType, EventHandler<D, E> handler, D device) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public <D extends Device, E extends Event<D>> void addEventHandler(
			String deviceType, EventHandler<D, E> handler) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public <D extends Device, E extends Event<D>> void removeEventHandler(EventHandler<D, E> handler) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

}
