/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.impl;

import java.util.ArrayList;
import java.util.List;

import ej.basedriver.Node;
import ej.ecom.Device;

/**
 * 
 */
public class ControllerHelper {

	@SuppressWarnings("unchecked")
	public static <D extends Device> D[] GetChildren(Node node, Class<D> type) {
		List<D> devices = new ArrayList<>();
		for (Device device : node.getChildren()) {
			if (type.isAssignableFrom(device.getClass())) {
				devices.add((D) device);
			}
		}
		return (D[]) devices.toArray(new Device[devices.size()]);
	}

	@SuppressWarnings("unchecked")
	public static <D extends Device> D GetFirstChild(Node node, Class<D> type) {
		for (Device device : node.getChildren()) {
			if (type.isAssignableFrom(device.getClass())) {
				return (D) device;
			}
		}

		return null;
	}

}
