/*
 * Java
 *
 * Copyright 2013-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.components;

/**
 * Defines services registry API.
 */
public interface ServiceRegistry extends ServiceProvider {

	/**
	 * Registers a service implementation.
	 * <p>
	 * The given instance is returned each time the service is requested by {@link #getService(Class)}.
	 *
	 * @param service
	 *            the implemented service.
	 * @param implementation
	 *            the service implementation.
	 * @param <T>
	 *            the service type.
	 */
	<T> void register(Class<T> service, T implementation);

}
