/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.widget.basic.image;

import ej.annotation.Nullable;
import ej.components.dependencyinjection.ServiceLoaderFactory;

/**
 * Image utilities.
 */
class ImageHelper {

	@Nullable
	private static ImageTheme Theme;

	// Prevents initialization.
	private ImageHelper() {
	}

	/**
	 * Gets the image theme.
	 *
	 * @return the image theme instance.
	 */
	public static ImageTheme getTheme() {
		ImageTheme theme = Theme;
		if (theme == null) {
			theme = ServiceLoaderFactory.getServiceLoader().getService(ImageTheme.class);
			Theme = theme;
		}
		return theme;
	}
}
